<?php
/**
 * Template part for displaying the sign-in
 *
 * @package Konte
 */

if ( ! function_exists( 'WC' ) ) {
	return;
}
?>
<div class="header-account">
	<?php if ( is_user_logged_in() ) : ?>
		<a href="<?php echo esc_url( wc_get_account_endpoint_url( 'dashboard' ) ); ?>"><?php esc_html_e( 'My Account', 'konte' ) ?></a>

		<div class="account-links">
			<ul>
				<?php foreach ( wc_get_account_menu_items() as $endpoint => $label ) : ?>
					<li class="account-link--<?php echo esc_attr( $endpoint ); ?>">
						<a href="<?php echo esc_url( wc_get_account_endpoint_url( $endpoint ) ); ?>" class="underline-hover"><?php echo esc_html( $label ); ?></a>
					</li>
				<?php endforeach; ?>
			</ul>
		</div>
	<?php else : ?>
		<a href="<?php echo esc_url( wc_get_account_endpoint_url( 'dashboard' ) ); ?>" data-toggle="<?php echo 'panel' == konte_get_option( 'header_cart_behaviour' ) ? 'off-canvas' : 'link'; ?>" data-target="login-panel"><?php esc_html_e( 'Sign in', 'konte' ) ?></a>
	<?php endif; ?>
</div>